Set a per-user inference limit override
PUT
/api/inference/limits/users/{id}
const url = 'https://gateway.example.com/api/inference/limits/users/550e8400-e29b-41d4-a716-446655440000';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"enabled":true,"credits5hEnabled":true,"credits5h":1,"credits7dEnabled":true,"credits7d":1,"credits30dEnabled":true,"credits30d":1,"apiMonthlyMicrodollars":1,"billingTimezone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gateway.example.com/api/inference/limits/users/550e8400-e29b-41d4-a716-446655440000 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true, "credits5hEnabled": true, "credits5h": 1, "credits7dEnabled": true, "credits7d": 1, "credits30dEnabled": true, "credits30d": 1, "apiMonthlyMicrodollars": 1, "billingTimezone": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Example
550e8400-e29b-41d4-a716-446655440000Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
enabled
required
boolean
credits5hEnabled
required
boolean
credits5h
required
number
credits7dEnabled
required
boolean
credits7d
required
number
credits30dEnabled
required
boolean
credits30d
required
number
apiMonthlyMicrodollars
required
integer
billingTimezone
required
string
Examplegenerated
{ "enabled": true, "credits5hEnabled": true, "credits5h": 1, "credits7dEnabled": true, "credits7d": 1, "credits30dEnabled": true, "credits30d": 1, "apiMonthlyMicrodollars": 1, "billingTimezone": "example"}Responses
Section titled “Responses”Successful response
Media typeapplication/json
Array<object>
object
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Example resource", "createdAt": "2024-01-01T12:00:00.000Z", "updatedAt": "2024-01-01T12:30:00.000Z" }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}